Creates a new project with optional environments and templates. No credentials (API keys) are auto-generated — use the credential management endpoints to create keys for the team after the project is created.
HMAC-SHA256 signed key produced by the apikee engine.
Format: <base62-id>.<base62-claims>.<base62-hmac>
The first 12 characters are the keyPrefix (safe for logging).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://apikee.dev/api/v1/project" \ -H "Content-Type: application/json" \ -d '{ "slug": "my-app", "name": "My Application", "description": "Production backend", "envs": [ { "type": "production", "templates": [ { "name": "Mobile App", "maxClients": 50, "rateLimitDay": 10000 } ] } ] }'{
"id": "string",
"slug": "string",
"name": "string",
"description": "string",
"metadata": {},
"team": {
"id": "string",
"name": "string",
"members": {
"count": null,
"max": null,
"list": [
null
]
},
"credentials": {
"count": null,
"list": [
null
]
}
},
"createdAt": "2019-08-24T14:15:22Z",
"envs": {
"count": 0,
"max": 0,
"list": [
{
"project_env": "string",
"type": "string",
"url": "http://example.com",
"version": "string",
"status": "string",
"metadata": {},
"templates": {
"count": null,
"list": [
null
]
},
"clients": {
"count": null,
"max": null
},
"endpoints": {
"count": null,
"max": null
},
"rateLimits": {
"hour": {
"count": null,
"max": null
},
"day": {
"count": null,
"max": null
},
"week": {
"count": null,
"max": null
},
"month": {
"count": null,
"max": null
}
}
}
]
},
"env": {
"project_env": "string",
"type": "string",
"url": "http://example.com",
"version": "string",
"status": "string",
"metadata": {},
"templates": {
"count": null,
"list": [
null
]
},
"clients": {
"count": null,
"max": null
},
"endpoints": {
"count": null,
"max": null
},
"rateLimits": {
"hour": {
"count": null,
"max": null
},
"day": {
"count": null,
"max": null
},
"week": {
"count": null,
"max": null
},
"month": {
"count": null,
"max": null
}
}
}
}List projects GET
Previous Page
Delete project / env / template DELETE
Deletes a project, environment, or template depending on the parameters provided. - No query params → deletes the env named in `project_env` (e.g. `my-app-production`), or the whole project if `project_env` is just a slug. - `envId` → deletes that specific environment. - `templateId` → deletes that specific template. Set `forceDelete=true` to remove resources that still have active clients.
